### Method

# FwupdPlugin ChunkArray index

#### Declaration [src]

    FuChunk*
    fu_chunk_array_index (
      FuChunkArray* self,
      guint idx,
      GError** error
    )

#### Description [src]

Gets the next chunk.

Available since: | 1.9.6

#### Parameters

`idx` | `guint`
| The chunk index.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `FuChunk`
| A `FuChunk` or `NULL` if not valid.
| The caller of the method takes ownership of the data, and is responsible for freeing it.